diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/tcp-yeah-test.cc ns-3.44/src/internet/test/tcp-yeah-test.cc
--- ns-3.43/src/internet/test/tcp-yeah-test.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/tcp-yeah-test.cc	2025-03-09 16:55:49.415371200 -0700
@@ -23,23 +23,23 @@
 NS_LOG_COMPONENT_DEFINE("TcpYeahTestSuite");
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief Testing TcpYeah additive increase algorithm.
+ * @brief Testing TcpYeah additive increase algorithm.
  */
 class TcpYeahIncrementTest : public TestCase
 {
   public:
     /**
-     * \brief Constructor.
-     * \param cWnd Congestion window.
-     * \param ssThresh Slow Start Threshold.
-     * \param segmentSize Segment size.
-     * \param nextTxSeq Next Tx sequence number.
-     * \param lastAckedSeq Last ACKed sequence number.
-     * \param segmentsAcked Number of segments ACKed.
-     * \param minRtt Minimum RTT.
-     * \param name Test description.
+     * @brief Constructor.
+     * @param cWnd Congestion window.
+     * @param ssThresh Slow Start Threshold.
+     * @param segmentSize Segment size.
+     * @param nextTxSeq Next Tx sequence number.
+     * @param lastAckedSeq Last ACKed sequence number.
+     * @param segmentsAcked Number of segments ACKed.
+     * @param minRtt Minimum RTT.
+     * @param name Test description.
      */
     TcpYeahIncrementTest(uint32_t cWnd,
                          uint32_t ssThresh,
@@ -53,8 +53,8 @@
   private:
     void DoRun() override;
     /**
-     * \brief Increases the TCP window.
-     * \param cong The congestion control.
+     * @brief Increases the TCP window.
+     * @param cong The congestion control.
      */
     void IncreaseWindow(Ptr<TcpYeah> cong);
 
@@ -203,23 +203,23 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief Testing TcpYeah multiplicative decrease algorithm
+ * @brief Testing TcpYeah multiplicative decrease algorithm
  */
 class TcpYeahDecrementTest : public TestCase
 {
   public:
     /**
-     * \brief Constructor.
-     * \param cWnd Congestion window.
-     * \param ssThresh Slow Start Threshold.
-     * \param segmentSize Segment size.
-     * \param nextTxSeq Next Tx sequence number.
-     * \param lastAckedSeq Last ACKed sequence number.
-     * \param minRtt Minimum RTT.
-     * \param rho TCP Yeah rho param.
-     * \param name Test description.
+     * @brief Constructor.
+     * @param cWnd Congestion window.
+     * @param ssThresh Slow Start Threshold.
+     * @param segmentSize Segment size.
+     * @param nextTxSeq Next Tx sequence number.
+     * @param lastAckedSeq Last ACKed sequence number.
+     * @param minRtt Minimum RTT.
+     * @param rho TCP Yeah rho param.
+     * @param name Test description.
      */
     TcpYeahDecrementTest(uint32_t cWnd,
                          uint32_t ssThresh,
@@ -233,9 +233,9 @@
   private:
     void DoRun() override;
     /**
-     * \brief Calculate the Slow Start threshold.
-     * \param cong The TCP state.
-     * \returns The SshThreshold.
+     * @brief Calculate the Slow Start threshold.
+     * @param cong The TCP state.
+     * @returns The SshThreshold.
      */
     uint32_t CalculateSsThresh(Ptr<TcpYeah> cong);
 
@@ -345,9 +345,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief TCP Yeah TestSuite
+ * @brief TCP Yeah TestSuite
  */
 class TcpYeahTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/tcp-zero-window-test.cc ns-3.44/src/internet/test/tcp-zero-window-test.cc
--- ns-3.43/src/internet/test/tcp-zero-window-test.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/tcp-zero-window-test.cc	2025-03-09 16:55:49.415371200 -0700
@@ -16,16 +16,16 @@
 NS_LOG_COMPONENT_DEFINE("TcpZeroWindowTestSuite");
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief Testing the congestion avoidance increment on TCP ZeroWindow
+ * @brief Testing the congestion avoidance increment on TCP ZeroWindow
  */
 class TcpZeroWindowTest : public TcpGeneralTest
 {
   public:
     /**
-     * \brief Constructor.
-     * \param desc Test description.
+     * @brief Constructor.
+     * @param desc Test description.
      */
     TcpZeroWindowTest(const std::string& desc);
 
@@ -45,7 +45,7 @@
     void ConfigureProperties() override;
 
     /**
-     * \brief Increase the receiver buffer size.
+     * @brief Increase the receiver buffer size.
      */
     void IncreaseBufSize();
 
@@ -72,7 +72,7 @@
     TcpGeneralTest::ConfigureEnvironment();
     SetAppPktCount(20);
     SetMTU(500);
-    SetTransmitStart(Seconds(2.0));
+    SetTransmitStart(Seconds(2));
     SetPropagationDelay(MilliSeconds(50));
 }
 
@@ -95,7 +95,7 @@
     Ptr<TcpSocketMsgBase> socket = TcpGeneralTest::CreateReceiverSocket(node);
 
     socket->SetAttribute("RcvBufSize", UintegerValue(0));
-    Simulator::Schedule(Seconds(10.0), &TcpZeroWindowTest::IncreaseBufSize, this);
+    Simulator::Schedule(Seconds(10), &TcpZeroWindowTest::IncreaseBufSize, this);
 
     return socket;
 }
@@ -236,9 +236,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief TCP ZeroWindow TestSuite
+ * @brief TCP ZeroWindow TestSuite
  */
 class TcpZeroWindowTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/udp-test.cc ns-3.44/src/internet/test/udp-test.cc
--- ns-3.43/src/internet/test/udp-test.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/udp-test.cc	2025-03-09 16:55:49.415371200 -0700
@@ -45,9 +45,9 @@
 using namespace ns3;
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief UDP Socket Loopback over IPv4 Test
+ * @brief UDP Socket Loopback over IPv4 Test
  */
 class UdpSocketLoopbackTest : public TestCase
 {
@@ -56,8 +56,8 @@
     void DoRun() override;
 
     /**
-     * \brief Receive a packet.
-     * \param socket The receiving socket.
+     * @brief Receive a packet.
+     * @param socket The receiving socket.
      */
     void ReceivePkt(Ptr<Socket> socket);
     Ptr<Packet> m_receivedPacket; //!< Received packet
@@ -102,9 +102,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief UDP Socket Loopback over IPv6 Test
+ * @brief UDP Socket Loopback over IPv6 Test
  */
 class Udp6SocketLoopbackTest : public TestCase
 {
@@ -113,8 +113,8 @@
     void DoRun() override;
 
     /**
-     * \brief Receive a packet.
-     * \param socket The receiving socket.
+     * @brief Receive a packet.
+     * @param socket The receiving socket.
      */
     void ReceivePkt(Ptr<Socket> socket);
     Ptr<Packet> m_receivedPacket; //!< Received packet
@@ -158,9 +158,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief UDP Socket over IPv4 Test
+ * @brief UDP Socket over IPv4 Test
  */
 class UdpSocketImplTest : public TestCase
 {
@@ -169,37 +169,37 @@
     Ptr<Ipv4QueueDiscItem> m_sentPacket; //!< Sent packet.
 
     /**
-     * \brief Get the TOS of the received packet.
-     * \returns The TOS.
+     * @brief Get the TOS of the received packet.
+     * @returns The TOS.
      */
     uint32_t GetTos();
 
     /**
-     * \brief Get the priority of the received packet.
-     * \returns The priority.
+     * @brief Get the priority of the received packet.
+     * @returns The priority.
      */
     uint32_t GetPriority();
 
     /**
-     * \brief Send data.
-     * \param socket The sending socket.
-     * \param to The destination address.
+     * @brief Send data.
+     * @param socket The sending socket.
+     * @param to The destination address.
      */
     void DoSendDataTo(Ptr<Socket> socket, std::string to);
     /**
-     * \brief Send data.
-     * \param socket The sending socket.
-     * \param to The destination address.
+     * @brief Send data.
+     * @param socket The sending socket.
+     * @param to The destination address.
      */
     void SendDataTo(Ptr<Socket> socket, std::string to);
     /**
-     * \brief Send data.
-     * \param socket The sending socket.
+     * @brief Send data.
+     * @param socket The sending socket.
      */
     void DoSendData(Ptr<Socket> socket);
     /**
-     * \brief Send data.
-     * \param socket The sending socket.
+     * @brief Send data.
+     * @param socket The sending socket.
      */
     void SendData(Ptr<Socket> socket);
 
@@ -208,19 +208,19 @@
     UdpSocketImplTest();
 
     /**
-     * \brief Receive packets (1).
-     * \param socket The receiving socket.
+     * @brief Receive packets (1).
+     * @param socket The receiving socket.
      */
     void ReceivePkt(Ptr<Socket> socket);
     /**
-     * \brief Receive packets (2).
-     * \param socket The receiving socket.
+     * @brief Receive packets (2).
+     * @param socket The receiving socket.
      */
     void ReceivePkt2(Ptr<Socket> socket);
 
     /**
-     * \brief Adds a packet to the list of sent packets.
-     * \param item The sent packet.
+     * @brief Adds a packet to the list of sent packets.
+     * @param item The sent packet.
      */
     void SentPkt(Ptr<const QueueDiscItem> item);
 };
@@ -507,9 +507,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief UDP Socket over IPv6 Test
+ * @brief UDP Socket over IPv6 Test
  */
 class Udp6SocketImplTest : public TestCase
 {
@@ -517,15 +517,15 @@
     Ptr<Packet> m_receivedPacket2; //!< Received packet (2).
 
     /**
-     * \brief Send data.
-     * \param socket The sending socket.
-     * \param to The destination address.
+     * @brief Send data.
+     * @param socket The sending socket.
+     * @param to The destination address.
      */
     void DoSendDataTo(Ptr<Socket> socket, std::string to);
     /**
-     * \brief Send data.
-     * \param socket The sending socket.
-     * \param to The destination address.
+     * @brief Send data.
+     * @param socket The sending socket.
+     * @param to The destination address.
      */
     void SendDataTo(Ptr<Socket> socket, std::string to);
 
@@ -534,27 +534,27 @@
     Udp6SocketImplTest();
 
     /**
-     * \brief Receive packets (1).
-     * \param socket The receiving socket.
-     * \param packet The received packet.
-     * \param from The source address.
+     * @brief Receive packets (1).
+     * @param socket The receiving socket.
+     * @param packet The received packet.
+     * @param from The source address.
      */
     void ReceivePacket(Ptr<Socket> socket, Ptr<Packet> packet, const Address& from);
     /**
-     * \brief Receive packets (2).
-     * \param socket The receiving socket.
-     * \param packet The received packet.
-     * \param from The source address.
+     * @brief Receive packets (2).
+     * @param socket The receiving socket.
+     * @param packet The received packet.
+     * @param from The source address.
      */
     void ReceivePacket2(Ptr<Socket> socket, Ptr<Packet> packet, const Address& from);
     /**
-     * \brief Receive packets (1).
-     * \param socket The receiving socket.
+     * @brief Receive packets (1).
+     * @param socket The receiving socket.
      */
     void ReceivePkt(Ptr<Socket> socket);
     /**
-     * \brief Receive packets (2).
-     * \param socket The receiving socket.
+     * @brief Receive packets (2).
+     * @param socket The receiving socket.
      */
     void ReceivePkt2(Ptr<Socket> socket);
 };
@@ -750,9 +750,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief UDP TestSuite
+ * @brief UDP TestSuite
  */
 class UdpTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet-apps/doc/internet-apps.h ns-3.44/src/internet-apps/doc/internet-apps.h
--- ns-3.43/src/internet-apps/doc/internet-apps.h	2024-10-09 16:41:09.876655800 -0700
+++ ns-3.44/src/internet-apps/doc/internet-apps.h	2025-03-09 16:55:49.379371200 -0700
@@ -6,7 +6,7 @@
 #define INTERNET_APPS_H
 
 /**
- * \defgroup internet-apps Internet Applications
+ * @defgroup internet-apps Internet Applications
  *
  * This section documents the API of the ns-3 Internet-specific applications module. For a generic
  * functional description, please refer to the ns-3 manual.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet-apps/examples/dhcp-example.cc ns-3.44/src/internet-apps/examples/dhcp-example.cc
--- ns-3.43/src/internet-apps/examples/dhcp-example.cc	2024-10-09 16:41:09.876655800 -0700
+++ ns-3.44/src/internet-apps/examples/dhcp-example.cc	2025-03-09 16:55:49.379371200 -0700
@@ -145,7 +145,7 @@
     DynamicCast<DhcpServer>(dhcpServerApp.Get(0))
         ->AddStaticDhcpEntry(devNet.Get(2)->GetAddress(), Ipv4Address("172.30.0.14"));
 
-    dhcpServerApp.Start(Seconds(0.0));
+    dhcpServerApp.Start(Seconds(0));
     dhcpServerApp.Stop(stopTime);
 
     // DHCP clients
@@ -155,25 +155,25 @@
     dhcpClientNetDevs.Add(devNet.Get(2));
 
     ApplicationContainer dhcpClients = dhcpHelper.InstallDhcpClient(dhcpClientNetDevs);
-    dhcpClients.Start(Seconds(1.0));
+    dhcpClients.Start(Seconds(1));
     dhcpClients.Stop(stopTime);
 
     UdpEchoServerHelper echoServer(9);
 
     ApplicationContainer serverApps = echoServer.Install(p2pNodes.Get(1));
-    serverApps.Start(Seconds(0.0));
+    serverApps.Start(Seconds(0));
     serverApps.Stop(stopTime);
 
     UdpEchoClientHelper echoClient(p2pInterfaces.GetAddress(1), 9);
     echoClient.SetAttribute("MaxPackets", UintegerValue(100));
-    echoClient.SetAttribute("Interval", TimeValue(Seconds(1.0)));
+    echoClient.SetAttribute("Interval", TimeValue(Seconds(1)));
     echoClient.SetAttribute("PacketSize", UintegerValue(1024));
 
     ApplicationContainer clientApps = echoClient.Install(nodes.Get(1));
-    clientApps.Start(Seconds(10.0));
+    clientApps.Start(Seconds(10));
     clientApps.Stop(stopTime);
 
-    Simulator::Stop(stopTime + Seconds(10.0));
+    Simulator::Stop(stopTime + Seconds(10));
 
     if (tracing)
     {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet-apps/examples/ping-example.cc ns-3.44/src/internet-apps/examples/ping-example.cc
--- ns-3.43/src/internet-apps/examples/ping-example.cc	2024-10-09 16:41:09.876655800 -0700
+++ ns-3.44/src/internet-apps/examples/ping-example.cc	2025-03-09 16:55:49.379371200 -0700
@@ -78,7 +78,7 @@
 main(int argc, char* argv[])
 {
     bool logging{false};
-    Time interPacketInterval{Seconds(1.0)};
+    Time interPacketInterval{Seconds(1)};
     uint32_t size{56};
     uint32_t count{5};
     std::string destinationStr;
@@ -246,7 +246,7 @@
 
     pointToPoint.EnablePcapAll("ping-example");
 
-    Simulator::Stop(Seconds(60.0));
+    Simulator::Stop(Seconds(60));
     Simulator::Run();
     Simulator::Destroy();
     return 0;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet-apps/examples/traceroute-example.cc ns-3.44/src/internet-apps/examples/traceroute-example.cc
--- ns-3.43/src/internet-apps/examples/traceroute-example.cc	2024-10-09 16:41:09.876655800 -0700
+++ ns-3.44/src/internet-apps/examples/traceroute-example.cc	2025-03-09 16:55:49.379371200 -0700
@@ -24,9 +24,9 @@
 using namespace ns3;
 
 /**
- * \ingroup aodv-examples
- * \ingroup examples
- * \brief Test script.
+ * @ingroup aodv-examples
+ * @ingroup examples
+ * @brief Test script.
  *
  * This script creates 1-dimensional grid topology and Traceroute the last node from the first one:
  *
@@ -43,17 +43,17 @@
   public:
     TracerouteExample();
     /**
-     * \brief Configure script parameters
-     * \param argc is the command line argument count
-     * \param argv is the command line arguments
-     * \return true on successful configuration
+     * @brief Configure script parameters
+     * @param argc is the command line argument count
+     * @param argv is the command line arguments
+     * @return true on successful configuration
      */
     bool Configure(int argc, char** argv);
     /// Run simulation
     void Run();
     /**
      * Report results
-     * \param os the output stream
+     * @param os the output stream
      */
     void Report(std::ostream& os);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet-apps/helper/dhcp-helper.h ns-3.44/src/internet-apps/helper/dhcp-helper.h
--- ns-3.43/src/internet-apps/helper/dhcp-helper.h	2024-10-09 16:41:09.876655800 -0700
+++ ns-3.44/src/internet-apps/helper/dhcp-helper.h	2025-03-09 16:55:49.379371200 -0700
@@ -25,10 +25,10 @@
 {
 
 /**
- * \ingroup dhcp
+ * @ingroup dhcp
  *
- * \class DhcpHelper
- * \brief The helper class used to configure and install DHCP applications on nodes
+ * @class DhcpHelper
+ * @brief The helper class used to configure and install DHCP applications on nodes
  */
 class DhcpHelper
 {
@@ -36,47 +36,47 @@
     DhcpHelper();
 
     /**
-     * \brief Set DHCP client attributes
-     * \param name Name of the attribute
-     * \param value Value to be set
+     * @brief Set DHCP client attributes
+     * @param name Name of the attribute
+     * @param value Value to be set
      */
     void SetClientAttribute(std::string name, const AttributeValue& value);
 
     /**
-     * \brief Set DHCP server attributes
-     * \param name Name of the attribute
-     * \param value Value to be set
+     * @brief Set DHCP server attributes
+     * @param name Name of the attribute
+     * @param value Value to be set
      */
     void SetServerAttribute(std::string name, const AttributeValue& value);
 
     /**
-     * \brief Install DHCP client of a nodes / NetDevice
-     * \param netDevice The NetDevice that the DHCP client will use
-     * \return The application container with DHCP client installed
+     * @brief Install DHCP client of a nodes / NetDevice
+     * @param netDevice The NetDevice that the DHCP client will use
+     * @return The application container with DHCP client installed
      */
     ApplicationContainer InstallDhcpClient(Ptr<NetDevice> netDevice) const;
 
     /**
-     * \brief Install DHCP client of a set of nodes / NetDevices
-     * \param netDevices The NetDevices that the DHCP client will use
-     * \return The application container with DHCP client installed
+     * @brief Install DHCP client of a set of nodes / NetDevices
+     * @param netDevices The NetDevices that the DHCP client will use
+     * @return The application container with DHCP client installed
      */
     ApplicationContainer InstallDhcpClient(NetDeviceContainer netDevices) const;
 
     /**
-     * \brief Install DHCP server of a node / NetDevice
+     * @brief Install DHCP server of a node / NetDevice
      *
      * Note: the server address must be coherent with the pool address, because
      * DHCP relays are not yet supported.
      *
-     * \param netDevice The NetDevice on which DHCP server application has to be installed
-     * \param serverAddr The Ipv4Address of the server
-     * \param poolAddr The Ipv4Address (network part) of the allocated pool
-     * \param poolMask The mask of the allocated pool
-     * \param minAddr The lower bound of the Ipv4Address pool
-     * \param maxAddr The upper bound of the Ipv4Address pool
-     * \param gateway The Ipv4Address of default gateway (optional)
-     * \return The application container with DHCP server installed
+     * @param netDevice The NetDevice on which DHCP server application has to be installed
+     * @param serverAddr The Ipv4Address of the server
+     * @param poolAddr The Ipv4Address (network part) of the allocated pool
+     * @param poolMask The mask of the allocated pool
+     * @param minAddr The lower bound of the Ipv4Address pool
+     * @param maxAddr The upper bound of the Ipv4Address pool
+     * @param gateway The Ipv4Address of default gateway (optional)
+     * @return The application container with DHCP server installed
      */
     ApplicationContainer InstallDhcpServer(Ptr<NetDevice> netDevice,
                                            Ipv4Address serverAddr,
@@ -86,11 +86,11 @@
                                            Ipv4Address maxAddr,
                                            Ipv4Address gateway = Ipv4Address());
     /**
-     * \brief Assign a fixed IP addresses to a net device.
-     * \param netDevice The NetDevice on which the address has to be installed
-     * \param addr The Ipv4Address
-     * \param mask The network mask
-     * \return the Ipv4 interface container
+     * @brief Assign a fixed IP addresses to a net device.
+     * @param netDevice The NetDevice on which the address has to be installed
+     * @param addr The Ipv4Address
+     * @param mask The network mask
+     * @return the Ipv4 interface container
      */
     Ipv4InterfaceContainer InstallFixedAddress(Ptr<NetDevice> netDevice,
                                                Ipv4Address addr,
@@ -98,9 +98,9 @@
 
   private:
     /**
-     * \brief Function to install DHCP client on a node
-     * \param netDevice The NetDevice on which DHCP client application has to be installed
-     * \return The pointer to the installed DHCP client
+     * @brief Function to install DHCP client on a node
+     * @param netDevice The NetDevice on which DHCP client application has to be installed
+     * @return The pointer to the installed DHCP client
      */
     Ptr<Application> InstallDhcpClientPriv(Ptr<NetDevice> netDevice) const;
     ObjectFactory m_clientFactory;           //!< DHCP client factory
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet-apps/helper/ping-helper.h ns-3.44/src/internet-apps/helper/ping-helper.h
--- ns-3.43/src/internet-apps/helper/ping-helper.h	2024-10-09 16:41:09.876655800 -0700
+++ ns-3.44/src/internet-apps/helper/ping-helper.h	2025-03-09 16:55:49.379371200 -0700
@@ -14,15 +14,15 @@
 #ifndef PING_HELPER_H
 #define PING_HELPER_H
 
+#include "ns3/application-helper.h"
 #include "ns3/ping.h"
-#include <ns3/application-helper.h>
 
 namespace ns3
 {
 
 /**
- * \ingroup ping
- * \brief Create a ping application and associate it to a node
+ * @ingroup ping
+ * @brief Create a ping application and associate it to a node
  *
  * This class creates one or multiple instances of ns3::Ping and associates
  * it/them to one/multiple node(s).
@@ -40,8 +40,8 @@
      * Create a PingHelper which is used to make life easier for people wanting
      * to use ping Applications.
      *
-     * \param remote The address which should be pinged
-     * \param local The source address
+     * @param remote The address which should be pinged
+     * @param local The source address
      */
     PingHelper(const Address& remote, const Address& local = Address());
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet-apps/helper/radvd-helper.h ns-3.44/src/internet-apps/helper/radvd-helper.h
--- ns-3.43/src/internet-apps/helper/radvd-helper.h	2024-10-09 16:41:09.876655800 -0700
+++ ns-3.44/src/internet-apps/helper/radvd-helper.h	2025-03-09 16:55:49.379371200 -0700
@@ -9,8 +9,8 @@
 #ifndef RADVD_HELPER_H
 #define RADVD_HELPER_H
 
+#include "ns3/application-helper.h"
 #include "ns3/radvd-interface.h"
-#include <ns3/application-helper.h>
 
 #include <map>
 #include <stdint.h>
@@ -19,49 +19,49 @@
 {
 
 /**
- * \ingroup radvd
- * \brief Radvd application helper.
+ * @ingroup radvd
+ * @brief Radvd application helper.
  */
 class RadvdHelper : public ApplicationHelper
 {
   public:
     /**
-     * \brief Constructor.
+     * @brief Constructor.
      */
     RadvdHelper();
 
     /**
-     * \brief Add a new prefix to be announced through an interface.
-     * \param interface outgoing interface
-     * \param prefix announced IPv6 prefix
-     * \param prefixLength announced IPv6 prefix length
+     * @brief Add a new prefix to be announced through an interface.
+     * @param interface outgoing interface
+     * @param prefix announced IPv6 prefix
+     * @param prefixLength announced IPv6 prefix length
      */
     void AddAnnouncedPrefix(uint32_t interface, const Ipv6Address& prefix, uint32_t prefixLength);
 
     /**
-     * \brief Enable the router as default router for the interface.
+     * @brief Enable the router as default router for the interface.
      * The effect is to set the Router Lifetime to the default value (30 minutes)
-     * \param interface outgoing interface
+     * @param interface outgoing interface
      */
     void EnableDefaultRouterForInterface(uint32_t interface);
 
     /**
-     * \brief Disable the router as default router for the interface.
+     * @brief Disable the router as default router for the interface.
      * The effect is to set the Router Lifetime to zero
-     * \param interface outgoing interface
+     * @param interface outgoing interface
      */
     void DisableDefaultRouterForInterface(uint32_t interface);
 
     /**
-     * \brief Get the low-level RadvdInterface specification for an interface.
+     * @brief Get the low-level RadvdInterface specification for an interface.
      * This method is provided to enable fine-grain parameter setup.
-     * \param interface outgoing interface
-     * \returns the RadvdInterface
+     * @param interface outgoing interface
+     * @returns the RadvdInterface
      */
     Ptr<RadvdInterface> GetRadvdInterface(uint32_t interface);
 
     /**
-     * \brief Clear the stored Prefixes
+     * @brief Clear the stored Prefixes
      */
     void ClearPrefixes();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet-apps/helper/v4traceroute-helper.h ns-3.44/src/internet-apps/helper/v4traceroute-helper.h
--- ns-3.43/src/internet-apps/helper/v4traceroute-helper.h	2024-10-09 16:41:09.876655800 -0700
+++ ns-3.44/src/internet-apps/helper/v4traceroute-helper.h	2025-03-09 16:55:49.379371200 -0700
@@ -11,7 +11,7 @@
 #ifndef V4TRACEROUTE_HELPER_H
 #define V4TRACEROUTE_HELPER_H
 
-#include <ns3/application-helper.h>
+#include "ns3/application-helper.h"
 
 namespace ns3
 {
@@ -19,8 +19,8 @@
 class OutputStreamWrapper;
 
 /**
- * \ingroup v4traceroute
- * \brief Create a IPv4 traceroute application and associate it to a node
+ * @ingroup v4traceroute
+ * @brief Create a IPv4 traceroute application and associate it to a node
  *
  * This class creates one or multiple instances of ns3::V4TraceRoute and associates
  * it/them to one/multiple node(s).
@@ -32,14 +32,14 @@
      * Create a V4TraceRouteHelper which is used to make life easier for people wanting
      * to use TraceRoute
      *
-     * \param remote The address which should be traced
+     * @param remote The address which should be traced
      */
     V4TraceRouteHelper(const Ipv4Address& remote);
 
     /**
-     * \brief Print the resulting trace routes from given node.
-     * \param node The origin node where the traceroute is initiated.
-     * \param stream The outputstream used to print the resulting traced routes.
+     * @brief Print the resulting trace routes from given node.
+     * @param node The origin node where the traceroute is initiated.
+     * @param stream The outputstream used to print the resulting traced routes.
      */
     static void PrintTraceRouteAt(Ptr<Node> node, Ptr<OutputStreamWrapper> stream);
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet-apps/model/dhcp-client.cc ns-3.44/src/internet-apps/model/dhcp-client.cc
--- ns-3.43/src/internet-apps/model/dhcp-client.cc	2024-10-09 16:41:09.876655800 -0700
+++ ns-3.44/src/internet-apps/model/dhcp-client.cc	2025-03-09 16:55:49.379371200 -0700
@@ -145,8 +145,10 @@
 DhcpClient::AssignStreams(int64_t stream)
 {
     NS_LOG_FUNCTION(this << stream);
-    m_ran->SetStream(stream);
-    return 1;
+    auto currentStream = stream;
+    m_ran->SetStream(currentStream++);
+    currentStream += Application::AssignStreams(currentStream);
+    return (currentStream - stream);
 }
 
 void
@@ -379,9 +381,9 @@
 
     DhcpHeader header = m_offerList.front();
     m_offerList.pop_front();
-    m_lease = Time(Seconds(header.GetLease()));
-    m_renew = Time(Seconds(header.GetRenew()));
-    m_rebind = Time(Seconds(header.GetRebind()));
+    m_lease = Seconds(header.GetLease());
+    m_renew = Seconds(header.GetRenew());
+    m_rebind = Seconds(header.GetRebind());
     m_offeredAddress = header.GetYiaddr();
     m_myMask = Ipv4Mask(header.GetMask());
     m_server = header.GetDhcps();
